#
# Conditional build:
%bcond_without	tests	# check target
#
Summary:	xkbcommon library - keymap compiler and support library
Summary(pl.UTF-8):	Biblioteka xkbcommon - kompilatora i obsługi map klawiszy
Name:		xorg-lib-libxkbcommon
Version:	1.4.1
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xkbcommon.org/download/libxkbcommon-%{version}.tar.xz
# Source0-md5:	a871be5c9af2511f899e1bd6db8b429f
URL:		https://xkbcommon.org/
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	flex
BuildRequires:	libstdc++-devel >= 6:4.8.1
BuildRequires:	libxcb-devel >= 1.10
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
# wayland-client, wayland-scanner
BuildRequires:	wayland-devel >= 1.2.0
BuildRequires:	wayland-protocols >= 1.12
BuildRequires:	xz
%if %{with tests}
BuildRequires:	xorg-app-xkbcomp
BuildRequires:	xorg-xserver-Xvfb
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxkbcommon is a keymap compiler and support library which processes
a reduced subset of keymaps as defined by the XKB specification.

%description -l pl.UTF-8
libxkbcommon to biblioteka kompilatora i obsługi map klawiszy,
przetwarzająca ograniczony podzbiór map klawiszy zdefiniowanych w
specyfikacji XKB.

%package devel
Summary:	Header files for libxkbcommon library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxkbcommon
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files needed to develop programs that
use libxkbcommon.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libxkbcommon.

%package static
Summary:	Static libxkbcommon library
Summary(pl.UTF-8):	Biblioteka statyczna libxkbcommon
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static libxkbcommon library.

%description static -l pl.UTF-8
Pakiet zawiera statyczną bibliotekę libxkbcommon.

%package tools
Summary:	Tools to interact with XKB keymaps
Summary(pl.UTF-8):	Narzędzia do współpracy z mapowaniami klawiszy XKB
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-x11 = %{version}-%{release}
Requires:	libxkbregistry = %{version}-%{release}
Requires:	wayland >= 1.2.0

%description tools
Tools to interact with XKB keymaps.

%description tools -l pl.UTF-8
Narzędzia do współpracy z mapowaniami klawiszy XKB.

%package x11
Summary:	X11 support for XKB library
Summary(pl.UTF-8):	Obsługa X11 dla biblioteki XKB
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxcb >= 1.10

%description x11
X11 support for XKB library.

%description x11 -l pl.UTF-8
Obsługa X11 dla biblioteki XKB.

%package x11-devel
Summary:	Header file for libxkbcommon-x11 library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libxkbcommon-x11
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-x11 = %{version}-%{release}
Requires:	libxcb-devel >= 1.10

%description x11-devel
Header file for libxkbcommon-x11 library.

%description x11-devel -l pl.UTF-8
Plik nagłówkowy biblioteki libxkbcommon-x11.

%package x11-static
Summary:	Static libxkbcommon-x11 library
Summary(pl.UTF-8):	Statyczna biblioteka libxkbcommon-x11
Group:		X11/Development/Libraries
Requires:	%{name}-x11-devel = %{version}-%{release}

%description x11-static
Static libxkbcommon-x11 library.

%description x11-static -l pl.UTF-8
Statyczna biblioteka libxkbcommon-x11.

%package apidocs
Summary:	API documentation for libxkbcommon libraries
Summary(pl.UTF-8):	Dokumentacja API bibliotek libxkbcommon
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libxkbcommon libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek libxkbcommon.

%package -n libxkbregistry
Summary:	Library to query available RMLVO
Summary(pl.UTF-8):	Biblioteka do odpytywania dostępnych RMLVO
Group:		Development/Libraries
Requires:	libxml2 >= 2.0

%description -n libxkbregistry
Library to query available RMLVO.

%description -n libxkbregistry -l pl.UTF-8
Biblioteka do odpytywania dostępnych RMLVO.

%package -n libxkbregistry-devel
Summary:	Header files for libxkbregistry library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxkbregistry
Group:		Development/Libraries
Requires:	libxkbregistry = %{version}-%{release}
Requires:	libxml2-devel >= 2.0

%description -n libxkbregistry-devel
This package contains the header files needed to develop programs that
use libxkbregistry.

%description -n libxkbregistry-devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libxkbregistry.

%package -n libxkbregistry-static
Summary:	Static libxkbregistry library
Summary(pl.UTF-8):	Biblioteka statyczna libxkbregistry
Group:		Development/Libraries
Requires:	libxkbregistry-devel = %{version}-%{release}

%description -n libxkbregistry-static
This package contains the static libxkbregistry library.

%description -n libxkbregistry-static -l pl.UTF-8
Pakiet zawiera statyczną bibliotekę libxkbregistry.

%prep
%setup -q -n libxkbcommon-%{version}

%build
%meson build

%ninja_build -C build

%if %{with tests}
%ninja_test -C build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# packaged as %doc in -apidocs
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libxkbcommon

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	x11 -p /sbin/ldconfig
%postun x11 -p /sbin/ldconfig

%post	-n libxkbregistry -p /sbin/ldconfig
%postun	-n libxkbregistry -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README.md
%attr(755,root,root) %{_libdir}/libxkbcommon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxkbcommon.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbcommon.so
%dir %{_includedir}/xkbcommon
%{_includedir}/xkbcommon/xkbcommon.h
%{_includedir}/xkbcommon/xkbcommon-compat.h
%{_includedir}/xkbcommon/xkbcommon-compose.h
%{_includedir}/xkbcommon/xkbcommon-keysyms.h
%{_includedir}/xkbcommon/xkbcommon-names.h
%{_pkgconfigdir}/xkbcommon.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxkbcommon.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xkbcli
%dir %{_libexecdir}/xkbcommon
%attr(755,root,root) %{_libexecdir}/xkbcommon/xkbcli-compile-keymap
%attr(755,root,root) %{_libexecdir}/xkbcommon/xkbcli-how-to-type
%attr(755,root,root) %{_libexecdir}/xkbcommon/xkbcli-interactive-evdev
%attr(755,root,root) %{_libexecdir}/xkbcommon/xkbcli-interactive-wayland
%attr(755,root,root) %{_libexecdir}/xkbcommon/xkbcli-interactive-x11
%attr(755,root,root) %{_libexecdir}/xkbcommon/xkbcli-list
%{_mandir}/man1/xkbcli.1*
%{_mandir}/man1/xkbcli-compile-keymap.1*
%{_mandir}/man1/xkbcli-how-to-type.1*
%{_mandir}/man1/xkbcli-interactive-evdev.1*
%{_mandir}/man1/xkbcli-interactive-wayland.1*
%{_mandir}/man1/xkbcli-interactive-x11.1*
%{_mandir}/man1/xkbcli-list.1*

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbcommon-x11.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxkbcommon-x11.so.0

%files x11-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbcommon-x11.so
%{_includedir}/xkbcommon/xkbcommon-x11.h
%{_pkgconfigdir}/xkbcommon-x11.pc

%files x11-static
%defattr(644,root,root,755)
%{_libdir}/libxkbcommon-x11.a

%files apidocs
%defattr(644,root,root,755)
%doc build/html/*

%files -n libxkbregistry
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbregistry.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxkbregistry.so.0

%files -n libxkbregistry-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbregistry.so
%{_includedir}/xkbcommon/xkbregistry.h
%{_pkgconfigdir}/xkbregistry.pc

%files -n libxkbregistry-static
%defattr(644,root,root,755)
%{_libdir}/libxkbregistry.a
%changelog
* Sun May 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libxkbcommon.git;a=log;h=master

* Sat May 21 2022 Jan Palus <atler@pld-linux.org> 3213119
- up to 1.4.1

* Sun Feb 06 2022 Jan Palus <atler@pld-linux.org> 53ae7cb
- up to 1.4.0

* Mon Sep 13 2021 Jan Palus <atler@pld-linux.org> d6dda94
- up to 1.3.1

* Tue May 04 2021 Jan Palus <atler@pld-linux.org> dc0c928
- up to 1.3.0

* Wed Apr 07 2021 Jan Palus <atler@pld-linux.org> d7ed35b
- up to 1.2.1

* Tue Apr 06 2021 Jan Palus <atler@pld-linux.org> 74ae5d3
- up to 1.2.0

* Sun Mar 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 234387a
- updated dependencies

* Thu Mar 11 2021 Jan Palus <atler@pld-linux.org> a8aa2ad
- up to 1.1.0

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 67971d5
- unconditional noarch subpackages

* Sun Jan 31 2021 Jan Palus <atler@pld-linux.org> c5e5e92
- updated noarch rule

* Sun Jan 31 2021 Jan Palus <atler@pld-linux.org> b84838e
- up to 1.0.3

* Fri Feb 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 62afe18
- updated to 0.10.0

* Sat Mar 09 2019 Jan Palus <atler@pld-linux.org> 9c4567c
- up to 0.8.4

* Thu Oct 11 2018 Jakub Bogusz <qboosh@pld-linux.org> 944de38
- updated to 0.8.2

* Sun Dec 17 2017 Jakub Bogusz <qboosh@pld-linux.org> d68dc35
- updated to 0.8.0

* Thu Oct 26 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> fa300b5
- up to 0.7.2

* Tue Apr 11 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 5be598d
- up to 0.7.1

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 8a78122
- updated to 0.7.0
- run tests

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> a2323eb
- noarch apidocs

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 188112c
- x32 rebuild
- release 2 (by relup.sh)

